Subject: Re: bug#47244: 28.0.50; SIGSEGV in long-runnning Emacs

From: martin rudalics <[email-masked]>
Date: Mon, 5 Apr 2021 20:45:19 +0200

> buffer_window_count of the *Server* buffer was 1.  There were three
 > frames that we looped over in the FOR_EACH_FRAME() loop.  Of these, only
 > the first is interesting.  In this case window_list_1() in window_loop()
 > returned three windows.  For each window, in the
 > REPLACE_BUFFER_IN_WINDOWS_SAFELY case branch, EQ (w->contents, obj)
 > returned false.  As a result, best_window is Qnil at the end, and
 > replace-buffer_in_windows_safely_count never gets incremented.  For the
 > other two frames the return value of window_list_1() was Qnil.

Astonishing.  What are the names of these three buffers via

p XBUFFER (w->contents)->name_

Do they tell you anything about the Gnus configuration you wanted to
quit?  I wouldn't be surprised if one of these were a dead buffer.

martin